# Generated by Django 2.2 on 2019-07-28 12:02

import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='TemplateUpload',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('content', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='Notification',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('recipient', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=200), size=None)),
                ('notification_mode', models.CharField(blank=True, max_length=200, null=True)),
                ('message', models.CharField(max_length=100)),
                ('template_name', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='notification', to='notifications.TemplateUpload')),
            ],
        ),
    ]
